from setuptools import setup, find_packages
from codecs import open
from os import path

here = path.abspath(path.dirname(__file__))

# Get the long description from the README file
with open(path.join(here, 'README.rst'), encoding='utf-8') as f:
    long_description = f.read()

setup(
    name='PyGOTO',

    version='1.0.0a1',

    description='Python module for controlling GOTO telescope mounts',
    long_description=long_description,

    url='https://gitlab.edgenowhere.com/disk42/pygoto',

    author='Phil Rau',
    author_email='edgeofnowhere42@gmail.com',

    license='MIT',

    # See https://pypi.python.org/pypi?%3Aaction=list_classifiers
    classifiers=[
        'Development Status :: 3 - Alpha',

        'Intended Audience :: Developers',
        'Intended Audience :: Science/Research',
        'Topic :: Scientific/Engineering :: Astronomy',

        # Pick your license as you wish (should match "license" above)
        'License :: OSI Approved :: MIT License',

        'Programming Language :: Python :: 2',
        'Programming Language :: Python :: 3',
    ],

    keywords='astronomy telescope goto',

    py_modules=['pygoto'],

    install_requires=['pyserial'],
)
